# FairMQ: fair::mq::sdk::cmd::SubscriptionHeartbeat Struct Reference

fair::mq::sdk::cmd::SubscriptionHeartbeat Struct Reference
Inheritance diagram for fair::mq::sdk::cmd::SubscriptionHeartbeat:
[legend]
Collaboration diagram for fair::mq::sdk::cmd::SubscriptionHeartbeat:
[legend]

## Public Member Functions

| SubscriptionHeartbeat (int64_t interval)
int64_t | GetInterval () const
void | SetInterval (int64_t interval)
Public Member Functions inherited from fair::mq::sdk::cmd::Cmd
| Cmd (const Type type)
Type | GetType () const

The documentation for this struct was generated from the following file:

- fairmq/sdk/commands/Commands.h

privacy